Gem::Specification.new do |s|
  s.name        = 'datarobot-ai_api'
  s.version     = '0.0.3'
  s.date        = '2019-04-16'
  s.summary     = "A Ruby wrapper for the DataRobot AI API"
  s.description = "Provides an interface to the AI API"
  s.authors     = ["AI API team"]
  s.email       = 'ai-api-team@datarobot.com'
  s.files       = %w(.gitignore README.md Rakefile datarobot-ai_api.gemspec lib/datarobot.rb Gemfile) + Dir.glob("{lib,test}/**/*")
  s.homepage    =
    'https://developers.datarobot.com/api'
  s.license       = 'Nonstandard'
  s.add_development_dependency "minitest", "~> 5.8"
  s.add_development_dependency "minitest-reporters", "~> 1.1"
  s.add_development_dependency "minitest-vcr", "~> 1.4"
  s.add_development_dependency "webmock", "~> 3.6"
  s.add_development_dependency 'pry', '~> 0.12.2'
  s.add_runtime_dependency 'multipart-post', '~> 2.1'
end