require "minitest/autorun"
require "minitest/spec"
require "minitest/reporters"
require "minitest/reporters"
require "vcr"
require "minitest-vcr"
require "webmock"
require "json"
require 'pry'

require "datarobot/ai_api"

class Module
  include Minitest::Spec::DSL
end

VCR.configure do |c|
  c.cassette_library_dir = 'test/cassettes'
  c.hook_into :webmock
end

MiniTest::Spec.class_eval do
  def self.shared_examples
    @shared_examples ||= {}
  end
end

module MiniTest::Spec::SharedExamples
  def shared_examples_for(desc, &block)
    MiniTest::Spec.shared_examples[desc] = block
  end

  def it_behaves_like(desc)
    self.instance_eval(&MiniTest::Spec.shared_examples[desc])
  end
end

Object.class_eval { include(MiniTest::Spec::SharedExamples) }

MinitestVcr::Spec.configure!
